package com.gic.haoban.manage.service.pojo.bo.content.holo;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2023/12/6 6:05 PM
 * @Description
 * @Version
 **/
public class MemberOrderHoloBo implements Serializable {

    private String orderId;

    private String enterpriseId;

    private String memberId;

    private String orderNumber;

    private String oorderNumber;

    /**
     * 实付金额 含运费
     */
    private BigDecimal paidAmount;

    /**
     *
     */
    private BigDecimal payAmount;

    /**
     * 付款时间
     */
    private String payTime;

    /**
     * 订单创建时间
     */
    private String receiptsDate;

    /**
     * 渠道
     */
    private String channelCode;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购名称
     */
    private String clerkCode;

    private String storeCode;

    private String storeId;

    private String storeName;

    /**
     * 商品数量
     */
    private Integer productCount;

    private Long contentMaterialId;

    private Long auditMaterialId;

    /**
     * 分享导购id
     */
    private String shareClerkId;

    /**
     * 分享门店id
     */
    private String shareStoreId;

    private String createTime;

    private String updateTime;

    private Integer deleteFlag;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getOorderNumber() {
        return oorderNumber;
    }

    public void setOorderNumber(String oorderNumber) {
        this.oorderNumber = oorderNumber;
    }

    public BigDecimal getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(BigDecimal paidAmount) {
        this.paidAmount = paidAmount;
    }

    public BigDecimal getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount) {
        this.payAmount = payAmount;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getReceiptsDate() {
        return receiptsDate;
    }

    public void setReceiptsDate(String receiptsDate) {
        this.receiptsDate = receiptsDate;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public Long getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Long contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }

    public String getShareClerkId() {
        return shareClerkId;
    }

    public void setShareClerkId(String shareClerkId) {
        this.shareClerkId = shareClerkId;
    }

    public String getShareStoreId() {
        return shareStoreId;
    }

    public void setShareStoreId(String shareStoreId) {
        this.shareStoreId = shareStoreId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Long getAuditMaterialId() {
        return auditMaterialId;
    }

    public void setAuditMaterialId(Long auditMaterialId) {
        this.auditMaterialId = auditMaterialId;
    }
}
